Bug 405961 - gcc fails with internal compiler error: in extract_insn, at recog.c:2083
gcc fails with internal compiler error: in extract_insn, at recog.c:2083
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: gcc (Show other bugs)
4.6
x86_64 Linux
low Severity urgent
: ---
: ---
Assigned To: Jakub Jelinek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-30 10:09 EST by Hakan Kuecuekyilmaz
Modified: 2009-05-18 16:33 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-18 16:33:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Preprocessed source (209.53 KB, text/plain)
2007-11-30 10:13 EST, Hakan Kuecuekyilmaz
no flags Details

  None (edit)
Description Hakan Kuecuekyilmaz 2007-11-30 10:09:17 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.8.0.12) Gecko/20071122 Red Hat/1.5.0.12-0.8.el4 Firefox/1.5.0.12 pango-text

Description of problem:
I am trying to compile an optimized build of MySQL from source. I use mysql-6.0 source from bitkeeper (http://mysql.bkbits.net:8080/mysql-6.0/)

Running the BUILD/compile-amd64-max ends with following gcc failure.

if gcc -DHAVE_CONFIG_H -I. -I. -I../../include  -I../../include -I../../include -I../../unittest/mytap   -Wimplicit -Wreturn-type -Wswitch -Wtrigraphs -Wcomment -W -Wchar-subscripts -Wformat -Wparentheses -Wsign-compare -Wwrite-strings -Wunused-function -Wunused-label -Wunused-value -Wunused-variable -Wunused-parameter -mtune=nocona -O3 -fno-omit-frame-pointer -g   -DUNIV_LINUX -MT my_atomic-t.o - MD -MP -MF ".deps/my_atomic-t.Tpo" -c -o my_atomic-t.o my_atomic-t.c; \
then mv -f ".deps/my_atomic-t.Tpo" ".deps/my_atomic-t.Po"; else rm -f ".deps/my_atomic-t.Tpo"; exit1; fi
my_atomic-t.c: In function `test_atomic_add_handler':
my_atomic-t.c:54: error: unrecognizable insn:
(insn 171 17 136 0 my_atomic-t.c:39 (set (reg/v:SI 2 cx [orig:67 x ] [67])
        (subreg:SI (plus:DI (subreg:DI (reg:SI 6 bp) 0)
                (const_int -4 [0xfffffffffffffffc])) 0)) -1 (nil)
    (nil))
my_atomic-t.c:54: internal compiler error: in extract_insn, at recog.c:2083
Please submit a full bug report,
with preprocessed source if appropriate.
See <URL:http://bugzilla.redhat.com/bugzilla> for instructions.
Preprocessed source stored into /tmp/ccOUqQdE.out file, please attach this to your bugreport.
make[2]: *** [my_atomic-t.o] Error 1


Version-Release number of selected component (if applicable):
gcc-3.4.6-9

How reproducible:
Always


Steps to Reproduce:
1. Get MySQL sources from http://mysql.bkbits.net:8080/mysql-6.0/
2. Run BUILD/compile-amd64-max


Actual Results:
if gcc -DHAVE_CONFIG_H -I. -I. -I../../include  -I../../include -I../../include -I../../unittest/mytap   -Wimplicit -Wreturn-type -Wswitch -Wtrigraphs -Wcomment -W -Wchar-subscripts -Wformat -Wparentheses -Wsign-compare -Wwrite-strings -Wunused-function -Wunused-label -Wunused-value -Wunused-variable -Wunused-parameter -mtune=nocona -O3 -fno-omit-frame-pointer -g   -DUNIV_LINUX -MT my_atomic-t.o - MD -MP -MF ".deps/my_atomic-t.Tpo" -c -o my_atomic-t.o my_atomic-t.c; \
then mv -f ".deps/my_atomic-t.Tpo" ".deps/my_atomic-t.Po"; else rm -f ".deps/my_atomic-t.Tpo"; exit1; fi
my_atomic-t.c: In function `test_atomic_add_handler':
my_atomic-t.c:54: error: unrecognizable insn:
(insn 171 17 136 0 my_atomic-t.c:39 (set (reg/v:SI 2 cx [orig:67 x ] [67])
        (subreg:SI (plus:DI (subreg:DI (reg:SI 6 bp) 0)
                (const_int -4 [0xfffffffffffffffc])) 0)) -1 (nil)
    (nil))
my_atomic-t.c:54: internal compiler error: in extract_insn, at recog.c:2083
Please submit a full bug report,
with preprocessed source if appropriate.
See <URL:http://bugzilla.redhat.com/bugzilla> for instructions.
Preprocessed source stored into /tmp/ccOUqQdE.out file, please attach this to your bugreport.
make[2]: *** [my_atomic-t.o] Error 1


Expected Results:
MySQL sources should be compiled.

Additional info:
Comment 1 Hakan Kuecuekyilmaz 2007-11-30 10:13:23 EST
Created attachment 273931 [details]
Preprocessed source

Preprocessed source
Comment 2 Hakan Kuecuekyilmaz 2008-02-25 11:55:12 EST
We found a workaround for this gcc bug:

http://lists.mysql.com/commits/40311
Comment 11 Stewart Adam 2009-04-26 12:41:15 EDT
I am seeing a very similar error while compiling avidemux:

/builddir/build/BUILD/avidemux_2.4.4/avidemux/ADM_videoFilter/ADM_vidDropOut.cpp:221: error: unrecognizable insn:
(insn 1446 312 1447 20 /builddir/build/BUILD/avidemux_2.4.4/avidemux/ADM_videoFilter/ADM_vidDropOut.cpp:184 (set (reg:SI 21 21)
        (and:SI (reg:SI 22 22 [orig:245 ivtmp.458 ] [245])
            (const_int -16 [0xfffffffffffffff0]))) -1 (nil))
/builddir/build/BUILD/avidemux_2.4.4/avidemux/ADM_videoFilter/ADM_vidDropOut.cpp:221: internal compiler error: in extract_insn, at recog.c:2048
Please submit a full bug report,
with preprocessed source if appropriate.
See <http://bugzilla.redhat.com/bugzilla> for instructions

Full log from build is available here: http://buildsys.rpmfusion.org/logs/fedora-development-rpmfusion_free/3640-avidemux-2.4.4-7.fc11/ppc/build.log
Comment 12 Michal Nowak 2009-04-27 03:45:40 EDT
(In reply to comment #11)

Well, this is RHEL4 x86-64 bug, not Rawhide PPC. Does this it happen on RHEL4 with gcc-3.4.6-11 then? Anyway, file bug report against Rawhide's gcc, please.
Comment 13 Stewart Adam 2009-04-27 07:56:08 EDT
(In reply to comment #12)
> Well, this is RHEL4 x86-64 bug, not Rawhide PPC. Does this it happen on RHEL4
> with gcc-3.4.6-11 then? Anyway, file bug report against Rawhide's gcc, please.  
Sorry about that, I realized right after clicking 'Submit' this was for gcc 3.x... I don't have RHEL4 or CentOS4 installed at the moment so I can't test with 3.x. New bug=#497816.
Comment 14 errata-xmlrpc 2009-05-18 16:33:52 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-1016.html

Note You need to log in before you can comment on or make changes to this bug.